<?php
/**
 * The template for adding Featured Slider Options in Customizer
 *
 * @package Catch Themes
 * @subpackage Clean Journal Pro
 * @since Clean Journal 1.0
 */

if ( ! defined( 'CLEAN_JOURNAL_THEME_VERSION' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit();
}
	// Featured Slider
	if ( 4.3 > get_bloginfo( 'version' ) ) {
		$wp_customize->add_panel( 'clean_journal_featured_slider', array(
		    'capability'     => 'edit_theme_options',
		    'description'    => __( 'Featured Slider Options', 'clean-journal-pro' ),
		    'priority'       => 500,
			'title'    		 => __( 'Featured Slider', 'clean-journal-pro' ),
		) );

		$wp_customize->add_section( 'clean_journal_featured_slider', array(
			'panel'			=> 'clean_journal_featured_slider',
			'priority'		=> 1,
			'title'			=> __( 'Featured Slider Options', 'clean-journal-pro' ),
		) );
	}
	else {
		$wp_customize->add_section( 'clean_journal_featured_slider', array(
			'priority'      => 500,
			'title'			=> __( 'Featured Slider', 'clean-journal-pro' ),
		) );
	}

	$wp_customize->add_setting( 'clean_journal_theme_options[featured_slider_option]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_slider_option'],
		'sanitize_callback' => 'clean_journal_sanitize_select',
	) );

	$wp_customize->add_control( 'clean_journal_theme_options[featured_slider_option]', array(
		'choices'   => clean_journal_featured_slider_content_options(),
		'label'    	=> __( 'Enable Slider on', 'clean-journal-pro' ),
		'priority'	=> '2',
		'section'  	=> 'clean_journal_featured_slider',
		'settings' 	=> 'clean_journal_theme_options[featured_slider_option]',
		'type'    	=> 'select',
	) );

	$wp_customize->add_setting( 'clean_journal_theme_options[featured_slide_transition_effect]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_slide_transition_effect'],
		'sanitize_callback'	=> 'clean_journal_sanitize_select',
	) );

	$wp_customize->add_control( 'clean_journal_theme_options[featured_slide_transition_effect]' , array(
		'active_callback'	=> 'clean_journal_is_slider_active',
		'choices'  	=> clean_journal_featured_slide_transition_effects(),
		'label'		=> __( 'Transition Effect', 'clean-journal-pro' ),
		'priority'	=> '3',
		'section'  	=> 'clean_journal_featured_slider',
		'settings' 	=> 'clean_journal_theme_options[featured_slide_transition_effect]',
		'type'	  	=> 'select',
		)
	);

	$wp_customize->add_setting( 'clean_journal_theme_options[featured_slide_transition_delay]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_slide_transition_delay'],
		'sanitize_callback'	=> 'absint',
	) );

	$wp_customize->add_control( 'clean_journal_theme_options[featured_slide_transition_delay]' , array(
		'active_callback'	=> 'clean_journal_is_slider_active',
		'description'	=> __( 'seconds(s)', 'clean-journal-pro' ),
		'input_attrs' => array(
        	'style' => 'width: 40px;'
    	),
    	'label'    		=> __( 'Transition Delay', 'clean-journal-pro' ),
		'priority'		=> '4',
		'section'  		=> 'clean_journal_featured_slider',
		'settings' 		=> 'clean_journal_theme_options[featured_slide_transition_delay]',
		)
	);

	$wp_customize->add_setting( 'clean_journal_theme_options[featured_slide_transition_length]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_slide_transition_length'],
		'sanitize_callback'	=> 'absint',
	) );

	$wp_customize->add_control( 'clean_journal_theme_options[featured_slide_transition_length]' , array(
		'active_callback'	=> 'clean_journal_is_slider_active',
		'description'	=> __( 'seconds(s)', 'clean-journal-pro' ),
		'input_attrs' => array(
        	'style' => 'width: 40px;'
    	),
    	'label'    		=> __( 'Transition Length', 'clean-journal-pro' ),
		'priority'		=> '5',
		'section'  		=> 'clean_journal_featured_slider',
		'settings' 		=> 'clean_journal_theme_options[featured_slide_transition_length]',
		)
	);

	$wp_customize->add_setting( 'clean_journal_theme_options[featured_slider_image_loader]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_slider_image_loader'],
		'sanitize_callback' => 'clean_journal_sanitize_select',
	) );

	$wp_customize->add_control( 'clean_journal_theme_options[featured_slider_image_loader]', array(
		'active_callback'	=> 'clean_journal_is_slider_active',
		'choices'   => clean_journal_featured_slider_image_loader(),
		'label'    	=> __( 'Image Loader', 'clean-journal-pro' ),
		'priority'	=> '6',
		'section'  	=> 'clean_journal_featured_slider',
		'settings' 	=> 'clean_journal_theme_options[featured_slider_image_loader]',
		'type'    	=> 'select',
	) );

	$wp_customize->add_setting( 'clean_journal_theme_options[featured_slider_type]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_slider_type'],
		'sanitize_callback'	=> 'clean_journal_sanitize_select',
	) );

	$wp_customize->add_control( 'clean_journal_theme_options[featured_slider_type]', array(
		'active_callback'	=> 'clean_journal_is_slider_active',
		'choices'  	=> clean_journal_featured_slider_types(),
		'label'    	=> __( 'Select Slider Type', 'clean-journal-pro' ),
		'priority'	=> '7',
		'section'  	=> 'clean_journal_featured_slider',
		'settings' 	=> 'clean_journal_theme_options[featured_slider_type]',
		'type'	  	=> 'select',
	) );

	$wp_customize->add_setting( 'clean_journal_theme_options[featured_slide_number]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_slide_number'],
		'sanitize_callback'	=> 'clean_journal_sanitize_number_range',
	) );

	$wp_customize->add_control( 'clean_journal_theme_options[featured_slide_number]' , array(
		'active_callback'	=> 'clean_journal_is_demo_slider_inactive',
		'description'	=> __( 'Save and refresh the page if No. of Slides is changed (Max no of slides is 20)', 'clean-journal-pro' ),
		'input_attrs' 	=> array(
            'style' => 'width: 45px;',
            'min'   => 0,
            'max'   => 20,
            'step'  => 1,
        	),
		'label'    		=> __( 'No of Slides', 'clean-journal-pro' ),
		'priority'		=> '8',
		'section'  		=> 'clean_journal_featured_slider',
		'settings' 		=> 'clean_journal_theme_options[featured_slide_number]',
		'type'	   		=> 'number',
		)
	);

	$wp_customize->add_setting( 'clean_journal_theme_options[exclude_slider_post]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['exclude_slider_post'],
		'sanitize_callback'	=> 'clean_journal_sanitize_checkbox',
	) );

	$wp_customize->add_control(  'clean_journal_theme_options[exclude_slider_post]', array(
		'active_callback'	=> 'clean_journal_is_post_slider_active',
		'label'		=> __( 'Check to exclude Slider post from Homepage posts', 'clean-journal-pro' ),
		'priority'	=> '9',
		'section'   => 'clean_journal_featured_slider',
		'settings'  => 'clean_journal_theme_options[exclude_slider_post]',
		'type'		=> 'checkbox',
	) );

	//loop for featured post sliders
	for ( $i=1; $i <=  $options['featured_slide_number'] ; $i++ ) {
		$wp_customize->add_setting( 'clean_journal_theme_options[featured_slider_post_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'clean_journal_sanitize_page',
		) );

		$wp_customize->add_control( 'clean_journal_theme_options[featured_slider_post_'. $i .']', array(
			'active_callback'	=> 'clean_journal_is_post_slider_active',
			'input_attrs' => array(
        		'style' => 'width: 80px;'
    		),
			'label'    	=> __( 'Featured Post', 'clean-journal-pro' ) . ' # ' . $i ,
			'priority'	=>  '10' . $i,
			'section'  	=> 'clean_journal_featured_slider',
			'settings' 	=> 'clean_journal_theme_options[featured_slider_post_'. $i .']',
			'type'	   	=> 'text',
			)
		);
	}

	//loop for featured page sliders
	for ( $i=1; $i <= $options['featured_slide_number'] ; $i++ ) {
		$wp_customize->add_setting( 'clean_journal_theme_options[featured_slider_page_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'clean_journal_sanitize_page',
		) );

		$wp_customize->add_control( 'clean_journal_theme_options[featured_slider_page_'. $i .']', array(
			'active_callback'	=> 'clean_journal_is_page_slider_active',
			'label'    	=> __( 'Featured Page', 'clean-journal-pro' ) . ' # ' . $i ,
			'priority'	=> '11' . $i,
			'section'  	=> 'clean_journal_featured_slider',
			'settings' 	=> 'clean_journal_theme_options[featured_slider_page_'. $i .']',
			'type'	   	=> 'dropdown-pages',
		) );
	}

	$wp_customize->add_setting( 'clean_journal_theme_options[featured_slider_select_category]', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'clean_journal_sanitize_category_list',
	) );

	$wp_customize->add_control( new Clean_Journal_Customize_Dropdown_Categories_Control( $wp_customize, 'clean_journal_theme_options[featured_slider_select_category]', array(
		'active_callback'	=> 'clean_journal_is_category_slider_active',
        'label'   	=> __('Select Categories', 'clean-journal-pro' ),
        'name' 		=> 'clean_journal_theme_options[featured_slider_select_category]',
		'priority'	=> '10',
        'section'  	=> 'clean_journal_featured_slider',
        'settings' 	=> 'clean_journal_theme_options[featured_slider_select_category]',
        'type'     	=> 'dropdown-categories',
    ) ) );

	$priority	=	'13';
	//loop for featured image slider
	for( $i = 1; $i <= $options['featured_slide_number'] ; $i++ ){
		if( $i > 9 ) // use this condition to make sure 10 comes after 9 priority wise
			$priority++;

		$wp_customize->add_setting( 'clean_journal_theme_options[featured_slider_note_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'sanitize_text_field',
		) );

		$wp_customize->add_control( new Clean_Journal_Note_Control( $wp_customize, 'featured_slider_note_'. $i, array(
			'active_callback'	=> 'clean_journal_is_image_slider_active',
	        'label'		=> __( 'Featured Slide #', 'clean-journal-pro' ) . $i,
			'priority'	=> $priority . '.' . $i,
	        'section'  	=> 'clean_journal_featured_slider',
	        'settings'	=> 'clean_journal_theme_options[featured_slider_note_'. $i .']',
	        'type'     	=> 'description',
   		) ) );

		$wp_customize->add_setting( 'clean_journal_theme_options[featured_slider_image_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'clean_journal_sanitize_image',
		) );

		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'clean_journal_theme_options[featured_slider_image_'. $i .']', array(
			'active_callback'	=> 'clean_journal_is_image_slider_active',
			'label'		=> __( 'Image', 'clean-journal-pro' ),
			'priority'	=> $priority . '.' . $i .$i,
			'section'   => 'clean_journal_featured_slider',
	        'settings'  => 'clean_journal_theme_options[featured_slider_image_'. $i .']',
		) ) );

		$wp_customize->add_setting( 'clean_journal_theme_options[featured_link_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'esc_url_raw',
		) );

		$wp_customize->add_control(  'clean_journal_theme_options[featured_link_'. $i .']', array(
			'active_callback'	=> 'clean_journal_is_image_slider_active',
			'label'		=> __( 'Link', 'clean-journal-pro' ),
	        'priority'	=> $priority . '.' .$i . $i  . $i,
			'section'   => 'clean_journal_featured_slider',
	        'settings'  => 'clean_journal_theme_options[featured_link_'. $i .']',
		) );

		$wp_customize->add_setting( 'clean_journal_theme_options[featured_target_'. $i .']', array(
	        'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'clean_journal_sanitize_checkbox',
		) );

		$wp_customize->add_control(  'clean_journal_theme_options[featured_target_'. $i .']', array(
			'active_callback'	=> 'clean_journal_is_image_slider_active',
			'label'		=> __( 'Check to Open Link in New Window/Tab', 'clean-journal-pro' ),
	        'priority'	=> $priority . '.' .$i  .$i  . $i . $i,
			'section'   => 'clean_journal_featured_slider',
	        'settings'  => 'clean_journal_theme_options[featured_target_'. $i .']',
			'type'		=> 'checkbox',
	    ) );

	    $wp_customize->add_setting( 'clean_journal_theme_options[featured_title_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'sanitize_text_field',
		) );

		$wp_customize->add_control(  'clean_journal_theme_options[featured_title_'. $i .']', array(
			'active_callback'	=> 'clean_journal_is_image_slider_active',
			'label'		=> __( 'Title', 'clean-journal-pro' ),
	        'priority'	=> $priority . '.' .$i .  $i.  $i .$i . $i,
			'section'   => 'clean_journal_featured_slider',
	        'settings'  => 'clean_journal_theme_options[featured_title_'. $i .']',
			'type'		=> 'text',
	    ) );

	    $wp_customize->add_setting( 'clean_journal_theme_options[featured_content_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'sanitize_text_field',
		) );

		$wp_customize->add_control( 'clean_journal_theme_options[featured_content_'. $i .']', array(
			'active_callback'	=> 'clean_journal_is_image_slider_active',
			'label'		=> __( 'Content', 'clean-journal-pro' ),
	        'priority'	=> $priority . '.' . $i . $i .  $i . $i . $i . $i,
			'section'   => 'clean_journal_featured_slider',
	        'settings'  => 'clean_journal_theme_options[featured_content_'. $i .']',
			'type'		=> 'textarea',
	    ) );
	}
// Featured Slider End